#include<bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    long long n,m;
    cin>>n>>m;

    if(n==1||n==2)
    {
        cout<<m*n;
        return 0;
    }
    if(m==1||m==2)
    {
        cout<<n*m;
        return 0;
    }
    cout<<(n+m)*2+(n-2)*(m-2)/2-4;
    return 0;
}